﻿using System;

namespace DapperORM.Common.Extention.DTO
{
    /// <summary>
    /// 属性列封装基类
    /// </summary>
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Field
    | AttributeTargets.Property | AttributeTargets.GenericParameter,
    AllowMultiple = false, Inherited = true)]
    public class BaseColumnAttribute : Attribute
    {
        /// <summary>
        /// 别名
        /// </summary>
        protected string Alias { get; set; }

        /// <summary>
        /// 是否自增
        /// </summary>
        public bool IsAuto { get; set; }

        /// <summary>
        /// 是否忽略
        /// </summary>
        public bool IsIgnore { get; set; }
    }
}
